Skip to main content
POST
Enroll a contact in the campaign

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

campaignId
string
required

Campaign ID (must be ACTIVE)

Body

application/json
contact
object
required

Contact to enroll. Send phone and/or linkedin_identifier: at least one is required.

fields
object

The contact's custom fields, by slug: { "slug": value }. A slug with no contact custom field is ignored.

enroll_again
boolean

If true and the contact has already completed the campaign, reactivates the enrollment for a new send. Doesn't affect an enrollment in progress.

overwrite_name
boolean

If true, contact.name replaces the name of a contact that already exists. By default the name is only saved on creation.

Response

201 - application/json

The response is of type object.